Bug 1119508 - BUG: sleeping function called from invalid context at kernel/locking/rwsem.c:41 [NEEDINFO]
Summary: BUG: sleeping function called from invalid context at kernel/locking/rwsem.c:41
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: fedora-kernel-scsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 23:46 UTC by Brian Lane
Modified: 2015-02-24 16:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-24 16:15:19 UTC
jforbes: needinfo?


Attachments (Terms of Use)

Description Brian Lane 2014-07-14 23:46:40 UTC
Description of problem:
Running the parted tests as root triggers this bug.

Version-Release number of selected component (if applicable):
kernel 3.16.0-0.rc4.git3.1.fc21.x86_64

How reproducible:
Always. rpmbuild --rebuild parted-3.1-29.fc21.src.rpm

System is a F21 VM with updates-testing enabled an all updates applied.

Logs are the same as from bug 1119504

Comment 1 Brian Lane 2014-07-14 23:48:00 UTC
Here's the relevant part of the log:

Jul 14 16:32:53 localhost.localdomain kernel: BUG: sleeping function called from invalid context at kernel/locking/rwsem.c:41                                                                                                                
Jul 14 16:32:53 localhost.localdomain kernel: in_atomic(): 0, irqs_disabled(): 1, pid: 1796, name: systemd-udevd                                                                                                                             
Jul 14 16:32:53 localhost.localdomain kernel: INFO: lockdep is turned off.                                                                                                                                                                   
Jul 14 16:32:53 localhost.localdomain kernel: irq event stamp: 61668                                                                                                                                                                         
Jul 14 16:32:53 localhost.localdomain kernel: hardirqs last  enabled at (61667): [<ffffffff81811216>] _raw_spin_unlock_irqrestore+0x36/0x70                                                                                                  
Jul 14 16:32:53 localhost.localdomain kernel: hardirqs last disabled at (61668): [<ffffffff81814386>] error_sti+0x5/0x6                                                                                                                      
Jul 14 16:32:53 localhost.localdomain kernel: softirqs last  enabled at (60150): [<ffffffff810a2731>] __do_softirq+0x301/0x4b0                                                                                                               
Jul 14 16:32:53 localhost.localdomain kernel: softirqs last disabled at (60137): [<ffffffff810a2ac5>] irq_exit+0xc5/0xd0                                                                                                                     
Jul 14 16:32:53 localhost.localdomain kernel: CPU: 1 PID: 1796 Comm: systemd-udevd Tainted: G      D       3.16.0-0.rc4.git3.1.fc21.x86_64 #1                                                                                                
Jul 14 16:32:53 localhost.localdomain kernel: Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011                                                                                                                                              
Jul 14 16:32:53 localhost.localdomain kernel:  0000000000000000 00000000c66ef484 ffff8800447b79f8 ffffffff8180840c                                                                                                                           
Jul 14 16:32:53 localhost.localdomain kernel:  0000000000000000 ffff8800447b7a20 ffffffff810d4f24 ffff88007929e478                                                                                                                           
Jul 14 16:32:53 localhost.localdomain kernel:  ffff88007929e4e8 ffff8800447b7d28 ffff8800447b7a48 ffffffff8180fb7a                                                                                                                           
Jul 14 16:32:53 localhost.localdomain kernel: Call Trace:                                                                                                                                                                                    
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8180840c>] dump_stack+0x4d/0x66                                                                                                                                                     
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff810d4f24>] __might_sleep+0x184/0x240                                                                                                                                                
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8180fb7a>] down_read+0x2a/0xa0                                                                                                                                                      
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff810b3843>] exit_signals+0x33/0x150                                                                                                                                                  
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8109e6ac>] do_exit+0xcc/0xd50                                                                                                                                                       
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81115298>] ? kmsg_dump+0x158/0x240                                                                                                                                                  
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81115174>] ? kmsg_dump+0x34/0x240                                                                                                                                                   
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8101d89c>] oops_end+0x9c/0xe0                                                                                                                                                       
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81063a5c>] no_context+0x14c/0x330                                                                                                                                                   
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81063ccd>] __bad_area_nosemaphore+0x8d/0x220                                                                                                                                        
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81063e73>] bad_area_nosemaphore+0x13/0x20                                                                                                                                           
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8106422e>] __do_page_fault+0xee/0x620                                                                                                                                               
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81024369>] ? sched_clock+0x9/0x10                                                                                                                                                   
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff810e1b3d>] ? sched_clock_local+0x1d/0x90                                                                                                                                            
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8140225e>] ? debug_check_no_obj_freed+0x17e/0x270                                                                                                                                   
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff810ff59c>] ? mark_held_locks+0x7c/0xb0                                                                                                                                              
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81811216>] ? _raw_spin_unlock_irqrestore+0x36/0x70                                                                                                                                  
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff810ff72d>] ? trace_hardirqs_on_caller+0x15d/0x200                                                                                                                                   
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff810647c7>] trace_do_page_fault+0x37/0x210                                                                                                                                           
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8105edc8>] do_async_page_fault+0x28/0xa0                                                                                                                                            
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81814168>] async_page_fault+0x28/0x30                                                                                                                                               
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81542e39>] ? scsi_device_put+0x19/0x50                                                                                                                                              
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81557502>] scsi_disk_put+0x32/0x50                                                                                                                                                  
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff815577f2>] sd_release+0x42/0xe0                                                                                                                                                     
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8128e105>] __blkdev_put+0x185/0x1c0                                                                                                                                                 
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8128eb4e>] blkdev_put+0x4e/0x180                                                                                                                                                    
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8128ed38>] blkdev_close+0x28/0x30                                                                                                                                                   
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8124ddb5>] __fput+0xf5/0x210                                                                                                                                                        
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff8124df1e>] ____fput+0xe/0x10                                                                                                                                                        
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff810c5544>] task_work_run+0xc4/0xf0                                                                                                                                                  
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81019d41>] do_notify_resume+0x61/0x90                                                                                                                                               
Jul 14 16:32:53 localhost.localdomain kernel:  [<ffffffff81812362>] int_signal+0x12/0x17                                                                                                                                                     
Jul 14 16:32:52 localhost.localdomain systemd-udevd[449]: worker [1796] terminated by signal 9 (Killed)                                                                                                                                      
Jul 14 16:32:52 localhost.localdomain systemd-udevd[449]: worker [1796] failed while handling '/devices/pseudo_0/adapter0/host8/target8:0:0/8:0:0:0/block/sda/sda2'                                                                          
Jul 14 16:32:56 localhost.localdomain kernel: Buffer I/O error on device loop0p1, logical block 2288                                                                                                                                         
Jul 14 16:32:56 localhost.localdomain kernel: Buffer I/O error on device loop0p1, logical block 2288                                                                                                                                         
Jul 14 16:32:56 localhost.localdomain kernel: ------------[ cut here ]------------

Comment 2 Justin M. Forbes 2015-01-27 15:00:20 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.18.3-201.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Fedora Kernel Team 2015-02-24 16:15:19 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.